Bug 1598391 - [RFE] - Certify OSP 14 with OVN as an external network provider on RHV 4.3
Summary: [RFE] - Certify OSP 14 with OVN as an external network provider on RHV 4.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.3.0
: 4.3.0
Assignee: Dominik Holler
QA Contact: Michael Burman
Rolfe Dlugy-Hegwer
URL:
Whiteboard:
Depends On: 1608892 1633586
Blocks: 1630861 1648628
TreeView+ depends on / blocked
 
Reported: 2018-07-05 10:01 UTC by Yaniv Lavi
Modified: 2019-05-08 12:38 UTC (History)
8 users (show)

Fixed In Version: ovirt-engine-4.3.0_alpha
Doc Type: Enhancement
Doc Text:
Red Hat OpenStack Platform 14's OVN+neutron is now certified as an external network provider for Red Hat Virtualization 4.3.
Clone Of: 1539815
: 1630861 (view as bug list)
Environment:
Last Closed: 2019-05-08 12:37:51 UTC
oVirt Team: Network
Target Upstream Version:
mburman: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:1085 0 None None None 2019-05-08 12:38:14 UTC
oVirt gerrit 92109 0 'None' MERGED core: Add Support OpenStack Identity API v3 2020-11-20 09:36:11 UTC
oVirt gerrit 93352 0 'None' MERGED Prepare for Identity API v3 2020-11-20 09:36:34 UTC
oVirt gerrit 93872 0 'None' MERGED webadmin: Add Support OpenStack Identity API v3 2020-11-20 09:36:11 UTC
oVirt gerrit 93913 0 'None' MERGED core: Add attributes for Identity API v3 2020-11-20 09:36:11 UTC
oVirt gerrit 93929 0 'None' MERGED packaging: dbscripts: upgrade: Add constraint for auth_url 2020-11-20 09:36:11 UTC
oVirt gerrit 93936 0 'None' MERGED Add support for OpenStack Identity API v3 2020-11-20 09:36:34 UTC
oVirt gerrit 93937 0 'None' MERGED restapi: Add support for OpenStack Identity API v3 2020-11-20 09:36:35 UTC
oVirt gerrit 94000 0 'None' MERGED core: Rename TenantProviderProperties to OpenStackProviderProperties 2020-11-20 09:36:35 UTC
oVirt gerrit 94058 0 'None' MERGED core: Require tenant or user domain for OpenStack Network 2020-11-20 09:36:12 UTC
oVirt gerrit 94163 0 'None' MERGED Add support for OpenStack Identity API v3 2020-11-20 09:36:12 UTC
oVirt gerrit 94228 0 'None' MERGED restapi: Update to model 4.3.17 2020-11-20 09:36:12 UTC
oVirt gerrit 94245 0 'None' MERGED restapi: Update to model 4.2.37 2020-11-20 09:36:13 UTC
oVirt gerrit 94330 0 'None' MERGED core: Add Validation of AuthUrl to ProviderValidator 2020-11-20 09:36:13 UTC
oVirt gerrit 94338 0 'None' ABANDONED packing: Extract reusable class DBPlugin 2020-11-20 09:36:36 UTC
oVirt gerrit 94568 0 'None' MERGED openstack_net hook: add OPENSTACK_OVN 2020-11-20 09:36:13 UTC
oVirt gerrit 94576 0 'None' ABANDONED core: Add new OPENSTACK_OVN provider plugin type 2020-11-20 09:36:13 UTC
oVirt gerrit 94721 0 'None' MERGED Use openstack-client.version 3.2.4 2020-11-20 09:36:13 UTC
oVirt gerrit 94722 0 'None' MERGED core: Rename TenantProviderProperties to OpenStackProviderProperties 2020-11-20 09:36:14 UTC
oVirt gerrit 94723 0 'None' MERGED core: Add attributes for Identity API v3 2020-11-20 09:36:14 UTC
oVirt gerrit 94724 0 'None' MERGED core: Add Support OpenStack Identity API v3 2020-11-20 09:36:14 UTC
oVirt gerrit 94725 0 'None' MERGED core: Require tenant or user domain for OpenStack Network 2020-11-20 09:36:15 UTC
oVirt gerrit 94726 0 'None' MERGED core: Add Validation of AuthUrl to ProviderValidator 2020-11-20 09:36:38 UTC
oVirt gerrit 94727 0 'None' MERGED packaging: dbscripts: upgrade: Add constraint for auth_url 2020-11-20 09:36:15 UTC
oVirt gerrit 94728 0 'None' MERGED webadmin: Add Support OpenStack Identity API v3 2020-11-20 09:36:15 UTC
oVirt gerrit 94729 0 'None' MERGED restapi: Add support for OpenStack Identity API v3 2020-11-20 09:36:16 UTC
oVirt gerrit 94753 0 'None' ABANDONED openstack_net hook: add OPENSTACK_OVN 2020-11-20 09:36:16 UTC
oVirt gerrit 94865 0 'None' MERGED webadmin: Show OpenStack attributes only OpenStack providers 2020-11-20 09:36:16 UTC
oVirt gerrit 94918 0 'None' MERGED webadmin: Show OpenStack attributes only OpenStack providers 2020-11-20 09:36:16 UTC

Description Yaniv Lavi 2018-07-05 10:01:54 UTC
Description of problem:
RHV is planned to support OVN since it is GA in OSP 13. Certify OVN via Neutron API with external OSP provider. 
This should use the same RHV OVN runtime driver that is used for the RHV OVN support.

Installation should still be done via OSP director networker role, not the RHV OVN native installation.

Comment 2 Dan Kenigsberg 2018-07-05 14:56:54 UTC
we have to support keystone v3 for that.
https://projects.engineering.redhat.com/browse/RHV-756

Comment 3 RHV bug bot 2018-09-19 12:16:03 UTC
WARN: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.comINFO: Bug status wasn't changed from MODIFIED to ON_QA due to the following reason:

[Found non-acked flags: '{'rhevm-4.2.z': '?'}', ]

For more info please contact: rhv-devops@redhat.com

Comment 5 Sandro Bonazzola 2018-09-19 13:08:44 UTC
Moving back to post since there are unmerged referenced patches

Comment 6 Marcin Mirecki 2018-09-28 09:34:03 UTC
Currently vm's connected using the openstack provider have their startup delayed by 15 seconds (they are paused for 15 seconds).
This is done to allow ovs to set up all networking before the vm goes up, to avoid problems with pxe booting.
Do we want to remove this feature for openstack ovn (https://gerrit.ovirt.org/#/c/94568/)?

Comment 7 Dominik Holler 2018-09-28 10:39:49 UTC
(In reply to Marcin Mirecki from comment #6)
> Currently vm's connected using the openstack provider have their startup
> delayed by 15 seconds (they are paused for 15 seconds).
> This is done to allow ovs to set up all networking before the vm goes up, to
> avoid problems with pxe booting.
> Do we want to remove this feature for openstack ovn
> (https://gerrit.ovirt.org/#/c/94568/)?

Let QA decide if the implementation implements this feature.
We can dsicuss here if we want to have and test this feature.

Comment 8 Dominik Holler 2018-09-28 10:54:55 UTC
(In reply to Dominik Holler from comment #7)
> (In reply to Marcin Mirecki from comment #6)
> > Currently vm's connected using the openstack provider have their startup
> > delayed by 15 seconds (they are paused for 15 seconds).

Bug 1314371 might be related.

> > This is done to allow ovs to set up all networking before the vm goes up, to
> > avoid problems with pxe booting.
> > Do we want to remove this feature for openstack ovn
> > (https://gerrit.ovirt.org/#/c/94568/)?
> 
> Let QA decide if the implementation implements this feature.
> We can dsicuss here if we want to have and test this feature.

Comment 11 Dominik Holler 2018-10-18 10:53:36 UTC
A question for certification: Which ovn-controller is installed on the host? The one distributed by RHV or OpenStack? If the one from RHV is used, is it compatible the ovn-central from OpenStack?

Comment 12 Sandro Bonazzola 2018-11-26 15:39:56 UTC
Referenced in vdsm v4.30.3 despite this is an ovirt-engine bug

Comment 13 Michael Burman 2019-02-04 08:48:27 UTC
Verified on vdsm-4.30.8-2.el7ev.x86_64, vdsm-hook-openstacknet-4.30.8-2.el7ev.noarch and rhvm-4.3.0.4-0.1.el7.noarch with - 

Red Hat OpenStack Platform release 14.0.0 RC (Rocky)

openvswitch2.10-ovn-common-2.10.0-28.el7fdp.x86_64
rhv-openvswitch-ovn-central-2.10-3.el7ev.noarch
ovirt-provider-ovn-1.2.19-1.el7ev.noarch
puppet-ovn-13.3.1-0.20181013120724.38e2e33.el7ost.noarch
openvswitch2.10-ovn-central-2.10.0-28.el7fdp.x86_64
ovirt-provider-ovn-driver-1.2.19-1.el7ev.noarch
rhosp-openvswitch-ovn-host-2.10-0.1.el7ost.noarch
rhosp-openvswitch-ovn-common-2.10-0.1.el7ost.noarch
openvswitch2.10-ovn-host-2.10.0-28.el7fdp.1.x86_64

f0507a90c50e        x.x.x.x:8787/rhosp14/openstack-ovn-controller:2019-01-16.1            "kolla_start"            3 days ago          Up 3 days                                 ovn_controller
828abe215790        x.x.x.x:8787/rhosp14/openstack-neutron-server-ovn:2019-01-16.1        "kolla_start"            3 days ago          Up 3 days (healthy)                       neutron_api
839686faa60e        x.x.x.x:8787/rhosp14/openstack-nova-novncproxy:2019-01-16.1           "kolla_start"            3 days ago          Up 3 days (healthy)                       nova_vnc_proxy
0b88c6f0436b        x.x.x.x:8787/rhosp14/openstack-ovn-northd:pcmklatest                  "/bin/bash /usr/lo..."   3 days ago          Up 3 days                                 ovn-dbs-bundle-docker-0

Certified with the only exception that the port's state is sometimes DOWN after migration(from time to time), but everything is working as expected and VMs can communicate after migrations. See BZ 1655906

Comment 15 errata-xmlrpc 2019-05-08 12:37:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:1085


Note You need to log in before you can comment on or make changes to this bug.